package org.netkernel.rdbms.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;

public class SQLEscapeStringAccessor extends AbstractEscapeAccessor
{

	public SQLEscapeStringAccessor()
	{	this.declareThreadSafe();
	}

	public void onSource(INKFRequestContext context) throws Exception
	{	String operand=context.source("arg:operand", String.class);
		context.createResponseFrom(escape(operand));
	}
}
